以前に正常に展開した後で削除した NSX Intelligence アプライアンスを新しいバージョンにアップグレードしようとすると、「アップグレード バンドルのアップロードに失敗しました」というエラー メッセージが表示されることがあります。

問題

NSX Intelligence アプライアンスを古いバージョン(1.1.0.0.0.15887964 など)から新しいバージョン(1.1.1.0.0.16275204 など)に正常にアップグレードした後、バージョン 1.1.1.0.0.16275204 を削除してバージョン 1.1.0.0.0.15887964 を再展開しようとすると、次のエラーが表示される場合があります。

アップグレード バンドルのアップロードに失敗しました。Upgrade Coordinator がすでにターゲット バージョンです。Upgrade Coordinator のアップグレードを再実行することはできません。

原因

NSX Intelligence Upgrade Coordinator (UC) には、以前の正常なアップグレードからの新しい NSX Intelligence バンドルのバージョン(たとえば 1.1.1.0.0.16275204)の、NSX Intelligence のアップグレード情報がすでに含まれています。

解決方法

  1. SSH を使用して、エンタープライズ管理者権限で NSX Manager ノードにログインします。
  2. CLI から、次のコマンドを使用して Upgrade Coordinator を再起動します。
    restart service intelligence-upgrade-coordinator
    
  3. NSX Intelligence Upgrade Coordinator が正常に再起動した後、同じ NSX Intelligence アップグレード バンドルを再度使用して NSX Intelligence アプライアンスを更新してみます。